gbdecompress.h File Reference
`#include <types.h>`
`#include <stdint.h>`

Go to the source code of this file.

## Functions

uint16_t | gb_decompress (const uint8_t *sour, uint8_t *dest) Z88DK_CALLEE PRESERVES_REGS(b

## Variables

uint16_t | c

## Function Documentation

## gb_decompress()

uint16_t gb_decompress | ( | const uint8_t * | sour,
|  | uint8_t * | dest
| ) |  |

gb-decompress data from sour into dest

Parameters

  sour | Pointer to source gb-compressed data
  dest | Pointer to destination buffer/address

Returns
  Return value is number of bytes decompressed

See also
  gb_decompress_bkg_data, gb_decompress_win_data, gb_decompress_sprite_data

## Variable Documentation

## c

uint16_t c